=== src/telemetrum-v1.1/Makefile ===
include ../Makefile.proto
