## altos 1.0.3

=== src/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include Version
 
 SUBDIRS=\
-	telemetrum-v1.1 telemetrum-v1.0 \
+	telemetrum-v1.2 telemetrum-v1.1 telemetrum-v1.0 \
 	teledongle-v0.2 teledongle-v0.1 \
 	telemini-v1.0 telenano-v0.1 \
 	telebt-v0.0 telebt-v0.1 \
