=== doc/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	release-notes-0.9.html \
 	release-notes-0.9.2.html \
 	release-notes-1.0.1.html \
-	release-notes-1.0.2.html
+	release-notes-1.0.2.html \
+	release-notes-1.0.3.html \
 
 RELNOTES_XSL=$(RELNOTES:.html=.xsl)
 HTML=altusmetrum.html altos.html telemetry.html $(RELNOTES)
