=== debian/changelog ===
altos (1.0.3ubuntu1) precise; urgency=low

  * Depend on default-jdk instead of openjdk-6-jdk, so that the configure
    script can find the JDK.

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 12 Jan 2012 15:35:15 +0200
