## altos 1.1.1

=== doc/Makefile ===
--- 
+++ 
@@ -8,12 +8,12 @@
 	release-notes-0.9.html \
 	release-notes-0.9.2.html \
 	release-notes-1.0.1.html \
-	release-notes-1.0.2.html \
-	release-notes-1.0.3.html \
+	release-notes-1.1.1.html \
+	release-notes-1.1.html
 
 RELNOTES_XSL=$(RELNOTES:.html=.xsl)
-HTML=altusmetrum.html altos.html telemetry.html $(RELNOTES)
-PDF=altusmetrum.pdf altos.pdf telemetry.pdf
+HTML=altusmetrum.html altos.html telemetry.html companion.html $(RELNOTES)
+PDF=altusmetrum.pdf altos.pdf telemetry.pdf companion.pdf
 DOC=$(HTML) $(PDF)
 HTMLSTYLE=/usr/share/xml/docbook/stylesheet/docbook-xsl/html/docbook.xsl
 FOSTYLE=/usr/share/xml/docbook/stylesheet/docbook-xsl/fo/docbook.xsl
