=== src/telebt-v0.0/Makefile ===
#
# TeleBT v0.0 build
#

TELEBT_VER=0.0
TELEBT_DEF=0_0

include ../product/Makefile.telebt
