=== src/telebt-v0.1/Makefile ===
#
# TeleBT v0.1 build
#

TELEBT_VER=0.1
TELEBT_DEF=0_1

TELEBT_INC = \
	ao_25lc1024.h

TELEBT_SRC = \
	ao_beep.c \
	ao_log_single.c \
	ao_log_telem.c \
	ao_report.c \
	ao_spi.c \
	ao_storage.c \
	ao_m25.c

include ../product/Makefile.telebt
