=== debian/changelog ===
altos (1.1.1-1) unstable; urgency=low
  * new upstream bug-fix release
    - fix flight data deletion problem affecting TeleMetrum v1.0 boards only
    - fix broken Google Earth export from on-board flight data (.eeprom) files
    - fix units displayed on "Landed" tab in UI to honor imperial units flag
    - display both range to the rocket and ground distance in "Descent" tab
    - fix bug in sensor data display for TeleMini in "Monitor Idle" mode

 -- Bdale Garbee <bdale@gag.com>  Sun, 16 Sep 2012 14:07:23 -0600

altos (1.1-1) unstable; urgency=low

  * new upstream minor release, which provides a few new features in AltosUI
    and the AltOS firmware, and fixes bugs
    - Add apogee-lockout value. Overrides the apogee detection logic to
      prevent incorrect apogee charge firing.  A configuration menu 
      provides a list of reasonable values, or the value can be set by hand.
    - Fix a bug where the data reported in telemetry packets was from 
      320ms ago.
    - Force the radio frequency to 434.550MHz when the debug clock
      pin is connected to ground at boot time. This provides a way
      to talk to a TeleMini which is configured to some unknown frequency.
    - Provide RSSI values for Monitor Idle mode. This makes it easy to check 
      radio range without needing to go to flight mode.
    - Fix a bug which caused the old received telemetry packets to
      be retransmitted over the USB link when the radio was turned
      off and back on.
    - Fix a bug that caused GPS ready to happen too quickly. The
      software was using every telemetry packet to signal new GPS
      data, which caused GPS ready to be signalled after 10 packets
      instead of 10 GPS updates.
    - Fix Google Earth data export to work with recent versions. The
      google earth file loading code got a lot pickier, requiring
      some minor white space changes in the export code.
    - Make the look-n-feel configurable, providing a choice from
      the available options.
    - Add an 'Age' element to mark how long since a telemetry packet
      has been received. Useful to quickly gauge whether
      communications with the rocket are still active.
    - Add 'Configure Ground Station' dialog to set the radio
      frequency used by a particular TeleDongle without having to go
      through the flight monitor UI.
    - Re-compute time spent in each state for the flight graph; this
      figures out the actual boost and landing times instead of
      using the conservative values provide by the flight
      electronics. This improves the accuracy of the boost
      acceleration and main descent rate computations.
    - Make AltosUI run on Mac OS Lion. The default Java heap space
      was dramatically reduced for this release causing much of the
      UI to fail randomly. This most often affected the satellite
      mapping download and displays.
    - Change how data are displayed in the 'table' tab of the flight
      monitoring window. This eliminates entries duplicated from the
      header and adds both current altitude and pad altitude, which
      are useful in 'Monitor Idle' mode.
    - Add Imperial units mode to present data in feet instead of
  * update build-deps to use cc1111 intead of sdcc, closes: #676739
  * update build-deps to use default-jdk, closes: #655580

 -- Bdale Garbee <bdale@gag.com>  Thu, 13 Sep 2012 14:46:50 -0600
