=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,10 @@
 
 export DH_VERBOSE=1
 PKG_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)/\1/p')
-DEB_VERSION := $(shell if [ -x /usr/bin/git ]; then git describe; else echo 0; fi | tr - +)
 
 # this target invoked by git-buildpackage using a clean hook, see .gbp.conf
 prebuild:
-	echo $(DEB_VERSION)
-	git-dch --release --new-version=$(DEB_VERSION) --multimaint-merge
-	git log > ChangeLog
-	git commit -n ChangeLog debian/changelog \
-		-m "update changelogs for Debian build"
-#	git tag debian/$(DEB_VERSION)
-#	git push --tags origin master
+	echo "not frobbing changelog for official builds"
 
 configure: configure-stamp
 configure-stamp:
